Bug 1488260 - Update the CloudForms on Azure doc for the modified CFME Azure image
Summary: Update the CloudForms on Azure doc for the modified CFME Azure image
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Documentation
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: cfme-future
Assignee: Suyog Sainkar
QA Contact: Chris Budzilowicz
URL:
Whiteboard:
Depends On: 1487297
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-04 23:32 UTC by Suyog Sainkar
Modified: 2017-12-19 23:35 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-13 04:47:02 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)

Description Suyog Sainkar 2017-09-04 23:32:17 UTC
Document URL: https://access.redhat.com/documentation/en-us/red_hat_cloudforms/4.5/html-single/installing_red_hat_cloudforms_on_microsoft_azure/

Describe the issue: Azure has two requirements that our build process was not meeting.  First, the disk has to be a fixed size.  Second, the fixed size needs to be exactly divisible by 1mb. However, the built in CFME Azure virtual appliance has now been modified to meet these requirements, therefore the doc can now be updated not requiring the additional conversion and alignment steps.


Additional information: (Per email from Satoe)

----- Forwarded Message -----
From: "Satoe Imaishi" <simaishi@redhat.com>
To: "Suyog Sainkar" <ssainkar@redhat.com>
Cc: "Andrew Dahms" <adahms@redhat.com>
Sent: Friday, September 1, 2017 12:56:35 AM
Subject: BZ 1484984

Hi Suyog,

I made the Azure image change so the users don't need to perform extra
steps when importing the CFME image (
https://bugzilla.redhat.com/show_bug.cgi?id=1484984). This change will go
to 5.8.2, then to 5.7.4.
The upstream change for this isn't done yet as we have an issue due to how
our build environment is setup for upstream build.

Just wanted to let you know, so the doc doesn't get updated for upstream.

Thanks!
Satoe

Comment 2 Dave Johnson 2017-09-04 23:44:54 UTC
Please assess the impact of this issue and update the severity accordingly.  Please refer to https://bugzilla.redhat.com/page.cgi?id=fields.html#bug_severity for a reminder on each severity's definition.

If it's something like a tracker bug where it doesn't matter, please set it to Low/Low.

Comment 6 Toby Drake 2017-10-23 14:54:10 UTC
Suyog,

Nice work! I only have a few comments.

---

Title and subtitle

Suggest that instead of 'Installing...On' use 'Installing....In Microsoft Azure' and 'How to Install....in a Microsoft Azure cloud environment'

Abstract

The abstract also has 'install...on' instead of 'install...in'

This usage is subjective and how you have it is probably fine. It just sounds strange based on everything I do. Les Williams (editor) may have a preference.

---

Section 1.2, Uploading the Red Hat CloudForms....

"To upload....ensure the following requirements are met:

Approximately 2 GB of space for each VHD image; 44+ GB of space, 12 GB RAM, and 4 VCPUs for the Red Hat CloudForms appliance."

I'm checking with Robb Manes on this, so don't change this until he responds. I'm not sure the 2 GB of space for each VHD is a big thing in Azure. You may be able to remove this requirement. Also, you may want to provide the actual Azure size designation for the minimum Azure CF appliance size, similar to this information: https://access.redhat.com/articles/product-configuration-for-azure#minimum-microsoft-azure-virtual-machine-size-3. This would make it easier for the customer to pick/enter the right size for a CF appliance.

---

1.2.1, Step 5. Log in to Azure.

In the example, remove any actual IDs and Tenant IDs. You should probably replace anything that looks like an ID with "...." Leaving the code in the example is okay.

---

Suggestion: Move Section 1.2.1 after 1.2.2 so it comes directly before 1.2.3. It seems more logical for all the Azure CLI content to be grouped in logical order. The PowerShell instructions could be placed before all the Azure CLI content, or after.

---

I do not use PowerShell and have not tested those instructions. Have you or QE tested these recently? There have been several updates, but maybe not to the PowerShell content.

---

1.2.3, Introduction

'Note than...' s/b 'Note that...'

This is Section 1.2.3, but there is a suggestion that the reader can skip to Section 1.2.2. Perhaps you intended to move the PowerShell section to a section after the Azure CLI content, but this has not been completed yet?

---

You may want to add a couple of bullets at the end of the instructions for things that a user may want to consider before leaving this Azure content and moving to 3.3. Configuring a Database for Red Hat CloudForms.

-A user will need to create a data disk for the database. You may want to link to the Microsoft instructions for creating a data disk. https://docs.microsoft.com/en-us/azure/virtual-machines/linux/add-disk. Is there a recommended disk size for the data disk? If so, it might be good to show the actual Azure size designation, similar to this: https://access.redhat.com/articles/product-configuration-for-azure#minimum-microsoft-azure-virtual-machine-size-3

- When a user creates the appliance using the Azure CLI, the only open port will be Port 22 for SSH access. Do they need to enable HTTPS and/or HTTP access for the web-based CFME management interface? If so, this can be done through the Azure CLI or through the Azure portal. See https://access.redhat.com/articles/3126151#header10 for additional information. Let me know if you need me to provide info.

Thanks, Toby


Note You need to log in before you can comment on or make changes to this bug.